Jump to:

4875 Posts in 7105 Topics by 1472 members

Installing SilverStripe

SilverStripe Forums » Installing SilverStripe » Can't install SilverStripe on Redhat PaaS OpenShift

Getting SilverStripe up and running on your computer and on your web server.

Moderators: martimiz, Sean, biapar, Willr, Ingo, swaiba, simon_w

Page: 1
Go to End
Author Topic: 439 Views
  • Marcelo
    Avatar
    Community Member
    1 Post

    Can't install SilverStripe on Redhat PaaS OpenShift Link to this post

    Hi All,

    Did anyone tried to install SilverStripe on Redhat PaaS www.openshift.com? I'm having installation problem with SilverStripe on OpenShift 1 Failure and 2 warnings. The failure points to time zone php.ini. Following are warnings/failure

    ------------------------------------------------------------------------------------
    PHP Configuration Show All Requirements 1 Failed and 2 Warnings
    ------------------------------------------------------------------------------------
    1st Warning
    ------------------------------------------------------------------------------------
    PHP5 installed:
    PHP version 5.3.3 is currently installed.

    Upgrading to at least PHP version 5.3.4 is recommended.
    SilverStripe should run, but you may run into issues. Future releases may require a later version of PHP.
    ------------------------------------------------------------------------------------
    Marcelo Comments: It's self explaining nothing to comment more. But I can't upgrade RHL version of PHP on OpenShift
    ------------------------------------------------------------------------------------

    ------------------------------------------------------------------------------------
    2nd Warning
    ------------------------------------------------------------------------------------
    tidy support: Tidy provides a library of code to clean up your html. SilverStripe will operate fine without tidy but HTMLCleaner will not be effective.
    ------------------------------------------------------------------------------------
    Marcelo Comments: Well it's always better to have html code clean but I can skip this for now.
    ------------------------------------------------------------------------------------

    ------------------------------------------------------------------------------------
    1st Failure
    ------------------------------------------------------------------------------------
    date.timezone setting and validity: date.timezone option in php.ini must be set correctly.
    -----------------------------------------------------------------------------------
    Marcelo Comments: Looking into php.ini and I think there small issue. Problem is that you can't not modify php.ini on PaaS since you don't have permission to modify php.ini file. Here is how following line for date.timezone looks like:
    "date.timezone = GMT"

    it should be as following:
    date.timezone = US/Pacific
    or
    date.timezone = Europe/Bratislava

    FAQ:
    1. Why the installation is so strict for TimeZone?
    2. Is there any workaround for this?
    3. Any tip before asking OpenShift folks to fix this?
    ------------------------------------------------------------------------------------

    Thanks,
    Marcelo

  • Willr
    Avatar
    Forum Moderator
    5462 Posts

    Re: Can't install SilverStripe on Redhat PaaS OpenShift Link to this post

    I run on OpenShift but use the PHP5.4 DIY build as it gives you a non deprecated version of PHP and the ability to tweak configuration

    https://www.openshift.com/blogs/php-54-howto

    439 Views
Page: 1
Go to Top

Want to know more about the company that brought you SilverStripe? Then check out SilverStripe.com

Comments on this website? Please give feedback.